Bug 259492 - archivers/py-borgbackup: Update to 1.1.17
Summary: archivers/py-borgbackup: Update to 1.1.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL: https://borgbackup.readthedocs.io/en/...
Keywords: buildisok, easy, patch-ready
Depends on:
Blocks:
 
Reported: 2021-10-27 20:25 UTC by Jose G. Juanino
Modified: 2021-11-23 07:53 UTC (History)
13 users (show)

See Also:
jjuanino: maintainer-feedback+


Attachments
Update to 1.1.17 (918 bytes, text/plain)
2021-10-27 20:25 UTC, Jose G. Juanino
no flags Details
Update to 1.1.17 (1.84 KB, patch)
2021-11-03 21:19 UTC, Jose G. Juanino
jjuanino: maintainer-approval+
Details | Diff
Update to 1.1.17 (1.32 KB, patch)
2021-11-17 08:04 UTC, Jose G. Juanino
jjuanino: maintainer-approval+
Details | Diff
poudriere log (69.36 KB, text/plain)
2021-11-20 16:13 UTC, Jose G. Juanino
jjuanino: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jose G. Juanino 2021-11-03 21:19:14 UTC
Created attachment 229254 [details]
Update to 1.1.17
Comment 2 Jose G. Juanino 2021-11-03 21:23:28 UTC
(In reply to jjuanino from comment #1)

I have realized that a new dependency is required: devel/py-packaging, please ignore the first attachment. Regards.
Comment 3 Yasuhiro Kimura freebsd_committer 2021-11-17 00:55:54 UTC
(In reply to jjuanino from comment #1)

Each line of your patch ends with CRLF (= 0x0d0xa). Did you create it on Windows? If so please create it on FreeBSD. It fails to be applied because of the difference of line break.
Comment 4 Jose G. Juanino 2021-11-17 08:04:43 UTC
Created attachment 229546 [details]
Update to 1.1.17

Hi, I created the patch in my FreeBSD box, but I have messed something in my config git. Sorry for the annoyances, I upload a new attachment. Regards.
Comment 5 Jose G. Juanino 2021-11-20 16:13:16 UTC
Created attachment 229611 [details]
poudriere log

I upload poudriere build successful log
Comment 6 Fernando Apesteguía freebsd_committer 2021-11-20 17:04:42 UTC
Great work, thanks!
Comment 7 commit-hook freebsd_committer 2021-11-23 07:52:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0e6f188ad799e32614804ef526102a7b90be5ab2

commit 0e6f188ad799e32614804ef526102a7b90be5ab2
Author:     Bartek Rutkowski <robak@FreeBSD.org>
AuthorDate: 2021-11-23 07:50:16 +0000
Commit:     Bartek Rutkowski <robak@FreeBSD.org>
CommitDate: 2021-11-23 07:52:28 +0000

    archivers/py-borgbackup: Update 1.1.16 -> 1.1.17

    PR:             259492
    Reported by:    Jose G. Juanino <jjuanino@gmail.com> (maintainer)

 archivers/py-borgbackup/Makefile | 4 ++--
 archivers/py-borgbackup/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 8 Bartek Rutkowski freebsd_committer 2021-11-23 07:53:42 UTC
Committed, thanks for your work!